import { ResetPasswordDto } from "../passwords/reset-password-dto";
import { VoidFuncNoParam } from "../../../fd-toolbox/functions/internal-getter-setter-functions";
/** @internal */
export declare function getResetPasswordPasswordInputId(): string;
/** @internal */
export declare function getResetPasswordRepeatPasswordInputId(): string;
/** @internal */
export declare function getResetPasswordResetButtonId(): string;
export declare function getResetPasswordNewPasswordInputId(): string;
export declare function getResetPasswordConfirmPasswordInputId(): string;
export declare function getResetPasswordSubmitButtonId(): string;
export declare function onResetPassword(data: ResetPasswordDto, navigateToLoginPage: VoidFuncNoParam, email?: string, token?: string): Promise<void>;
